//
//  NotificationService.swift
//  NotificationServiceExtension
//
//  Created by Koteswarudu-Akula on 18/08/23.
//

import UserNotifications
import LemniskRichNotification

class NotificationService: UNNotificationServiceExtension {

    var contentHandler: ((UNNotificationContent) -> Void)?
    var bestAttemptContent: UNMutableNotificationContent?

    override func didReceive(_ request: UNNotificationRequest, withContentHandler contentHandler: @escaping (UNNotificationContent) -> Void) {
//        self.contentHandler = contentHandler
//        bestAttemptContent = (request.content.mutableCopy() as? UNMutableNotificationContent)
        print("Inside Notification Service Extension")
        
        LemniskNotificationService.shared.setAppGroupID(groupId: "group.co.lemnisk.flutterWrapperExample.apg")
        LemniskNotificationService.shared.didReceive(request, withContentHandler: contentHandler)
        
//        if let bestAttemptContent = bestAttemptContent {
//            // Modify the notification content here...
//            bestAttemptContent.title = "\(bestAttemptContent.title) [modified]"
//
//            contentHandler(bestAttemptContent)
//        }
    }
    
    override func serviceExtensionTimeWillExpire() {
        // Called just before the extension will be terminated by the system.
        // Use this as an opportunity to deliver your "best attempt" at modified content, otherwise the original push payload will be used.
//        if let contentHandler = contentHandler, let bestAttemptContent =  bestAttemptContent {
//            contentHandler(bestAttemptContent)
//        }
        print("Inside Notification Service Extension serviceExtensionTimeWillExpire")
        
        super.serviceExtensionTimeWillExpire()
    }

}
